Summary: Library for low-level netlink programming interface (API) to the in-kernel nf_tables subsystem.
Name: libnftnl
Version: 1.2.6
Release: 2%{?dist}
License: GPLv2+
URL: https://netfilter.org/projects/libnftnl/
Source0: https://www.netfilter.org/pub/libnftnl/libnftnl-%{version}.tar.xz

Patch3000: 0001-set-Do-not-leave-free-d-expr_list-elements-in-place.patch

BuildRequires: gcc make
BuildRequires: libmnl-devel jansson-devel
Provides: libnftables = %{version}-%{release}

%description
libnftnl is a userspace library providing a low-level netlink programming
interface (API) to the in-kernel nf_tables subsystem. This library is 
currently used by nftables.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Provides: libnftables-devel = %{version}-%{release}

%description devel
This package provides libraries and header files for developing applications
for %{name}.


%prep
%autosetup -p1


%build
%configure --disable-silent-rules --with-json-parsing
%make_build


%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la


%check
%make_build check


%files
%license COPYING
%{_libdir}/libnftnl.so.*


%files devel
%{_libdir}/libnftnl.so
%{_libdir}/pkgconfig/libnftnl.pc
%{_includedir}/%{name}


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Shuo Wang <abushwang@tencent.com> - 1.2.6-1
- update to 1.2.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 19 2022 doriscchao <doriscchao@tencent.com> - 1.2.2-1
- Initial build, Version 1.2.2, Release 1

